let pathsCache = new WeakMap();
export { pathsCache as path };
export let scope = new WeakMap();
export function clear() {
  clearPath();
  clearScope();
}
export function clearPath() {
  pathsCache = new WeakMap();
}
export function clearScope() {
  scope = new WeakMap();
}
const nullHub = Object.freeze({});
export function getCachedPaths(hub, parent) {
  ;
  return pathsCache.get(hub ?? nullHub)?.get(parent);
}
export function getOrCreateCachedPaths(hub, parent) {
  ;
  let parents = pathsCache.get(hub ?? nullHub);
  if (!parents) pathsCache.set(hub ?? nullHub, parents = new WeakMap());
  let paths = parents.get(parent);
  if (!paths) parents.set(parent, paths = new Map());
  return paths;
}

//# sourceMappingURL=cache.js.map
